---
type: api
title: Create a list item
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-createlistitem
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-createlistitem
products:
  - Kibana
---

# Create a list item

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/lists/items`
- `POST` `/s/{space_id}/api/lists/items`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Create a list item and associate it with the specified list.

All list items in the same list must be the same type. For example, each list item in an `ip` list must define a specific IP address.
> info
> Before creating a list item, you must create a list.

## Request Body

`application/json`

List item's properties

- `id` (string · min: 1) — optional
  A string that does not contain only whitespace characters
- `list_id` (string · min: 1) — required
  A string that does not contain only whitespace characters
- `meta` (object) — optional
- `refresh` (enum) — optional
  Determines when changes made by the request are made visible to search
  Values: `true`, `false`, `wait_for`
- `value` (string · min: 1) — required
  A string that does not contain only whitespace characters

## Responses

#### `200`

Successful response

`application/json`

- `_version` (string)
- `@timestamp` (string)
- `created_at` (string)
- `created_by` (string)
- `id` (string · min: 1)
  A string that does not contain only whitespace characters
- `list_id` (string · min: 1)
  A string that does not contain only whitespace characters
- `meta` (object)
- `tie_breaker_id` (string)
- `type` (enum)
  Values: `binary`, `boolean`, `byte`, `date`, `date_nanos`, `date_range`, `double`, `double_range`, `float`, `float_range`, `geo_point`, `geo_shape`, `half_float`, `integer`, `integer_range`, `ip`, `ip_range`, `keyword`, `long`, `long_range`, `shape`, `short`, `text`
- `updated_at` (string)
- `updated_by` (string)
- `value` (string · min: 1)
  A string that does not contain only whitespace characters
#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `409`

List item already exists response

`application/json`

- `message` (string)
- `status_code` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
POST /api/lists/items
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/lists/items"
```

